clear variables;close all;clc %#ok<CLALL>
[~,C]=xlsread('NASA-TLX2.xlsx','I2:I100');
C=reshape(C,3,33)';C=1*strcmp(C,'LW')+2*strcmp(C,'MW')+3*strcmp(C,'HW'); % C = 33 x 3 matrix with conditions per PP (1 = LTD, 2 = MTD, 3 = HTD)
%% DSSQ
% Engagement, Distress, Worry
DSSQ0_2=xlsread('DSSQ2.xlsx','AG2:AI35'); % baseline
DSSQ1_2=xlsread('DSSQ2.xlsx','AG42:AI74'); % run 1
DSSQ2_2=xlsread('DSSQ2.xlsx','AG78:AI110'); % run 2
DSSQ3_2=xlsread('DSSQ2.xlsx','AG114:AI146'); % run 3
DSSQ_2=NaN(33,3,3);
DSSQ_2(:,1,:)=DSSQ1_2-DSSQ0_2; % change score, run 1
DSSQ_2(:,2,:)=DSSQ2_2-DSSQ0_2; % change score, run 2
DSSQ_2(:,3,:)=DSSQ3_2-DSSQ0_2; % change score, run 3
sdc=std(DSSQ0_2); % std pre-score
for i=1:3 % loop over the 3 DSSQ scales
    DSSQ_2(:,:,i)=DSSQ_2(:,:,i)./sdc(i);   
end

%% 
[~,S]=sort(transpose(C));% % C = 33 x 3 matrix with conditions per PP (1 = LTD, 2 = MTD, 3 = HTD)
vars2(1)={'DSSQ_2'};
for i=1:33;
    for i2=1:3;
        for i3=1:length(vars2);
            eval([vars2{i3} 'C(i,i2,:)=' vars2{i3} '(i,S(i2,i),:);']);
        end;
    end;
end
%% disp('DSSQ as a function of condition')
figure;hold on
bar(squeeze(nanmean(DSSQ_2C,1))')
for i=0.5:3.5 % plot vertical dotted lines
    plot([i i],[-10 10],'k:')
end
colormap([0 0 0;.5 .5 .5;.9 .9 .9]); 
set(gca,'xtick',1:13)
set(gca,'Xticklabel',{'Engagement' 'Distress' 'Worry'})
set(gca,'tickdir','out')
ylabel('Standardized change score','FontSize',24,'FontName','Arial')
legend('Low Task Demands (LTD)','Medium Task Demands (MTD)','High Task Demands (HTD)','location','southeast')

[~,p13,~,stats13]=ttest(squeeze(DSSQ_2C(:,1,:)),squeeze(DSSQ_2C(:,2,:))); % DSSQC
[~,p14,~,stats14]=ttest(squeeze(DSSQ_2C(:,1,:)),squeeze(DSSQ_2C(:,3,:)));
[~,p15,~,stats15]=ttest(squeeze(DSSQ_2C(:,2,:)),squeeze(DSSQ_2C(:,3,:)));
pDSSQBONF_2=[p13' p14' p15']<0.05/3;

%text(0.45,2.8, '\itF\rm =' ,'fontsize',15,'horizontalalignment','right')
%text(0.45,2.5, '\itp\rm =' ,'fontsize',15,'horizontalalignment','right')
text(0.45,2.1, 'LTD vs. MTD: \itd_z\rm =','fontsize',15,'horizontalalignment','right')
text(0.45,1.8, 'LTD vs. HTD: \itd_z\rm =','fontsize',15,'horizontalalignment','right')
text(0.45,1.5, 'MTD vs. HTD: \itd_z\rm =','fontsize',15,'horizontalalignment','right')
plot([-0.5 10],[2.3 2.3],'k')
plot([-0.5 10],[1.3 1.3],'k')

for i=1:3
    [p,table]=anova2(squeeze(DSSQ_2C(:,:,i)),1,'off');
    pDSSQ_2(i)=p(1);FDSSQ_2(i)=cell2mat(table(2,5));temp=sprintf('%.3f',pDSSQ_2(i));temp=temp(2:end);
  %  if pDSSQ_2(i)<.001
  %      text(i,2.5, '< .001','fontsize',15,'fontweight','bold','horizontalalignment','center')
  %  elseif pDSSQ_2(i)<.05
  %      text(i,2.5, temp,'fontsize',15,'fontweight','bold','horizontalalignment','center')
  %  else
  %      text(i,2.5, temp,'fontsize',15,'horizontalalignment','center')
  %  end
 %   text(i,2.8, sprintf('%0.2f',FDSSQ_2(i)),'fontsize',15,'horizontalalignment','center')
    if pDSSQBONF_2(i,1)==0
        text(i+0.075,2.1, sprintf('%0.2f',stats13.tstat(i)/sqrt(stats13.df(i)+1)),'fontsize',15,'horizontalalignment','right')
    else
        text(i+0.075,2.1, sprintf('%0.2f',stats13.tstat(i)/sqrt(stats13.df(i)+1)),'fontsize',15,'horizontalalignment','right','fontweight','bold')
    end
    if pDSSQBONF_2(i,2)==0
        text(i+0.075,1.8, sprintf('%0.2f',stats14.tstat(i)/sqrt(stats14.df(i)+1)),'fontsize',15,'horizontalalignment','right')
    else
        text(i+0.075,1.8, sprintf('%0.2f',stats14.tstat(i)/sqrt(stats14.df(i)+1)),'fontsize',15,'horizontalalignment','right','fontweight','bold')
    end
    if pDSSQBONF_2(i,3)==0
        text(i+0.075,1.5, sprintf('%0.2f',stats15.tstat(i)/sqrt(stats15.df(i)+1)),'fontsize',15,'horizontalalignment','right')
    else
        text(i+0.075,1.5, sprintf('%0.2f',stats15.tstat(i)/sqrt(stats15.df(i)+1)),'fontsize',15,'horizontalalignment','right','fontweight','bold')
    end
end
set(gca,'ylim',[-3 3],'xlim',[-0.15 3.6])
box on
fig=gcf;set(findall(fig,'-property','FontName'),'FontName','Arial','Fontsize',20)
set(gcf, 'PaperPositionMode', 'manual','paperunits','inches');
set(gcf, 'PaperPosition', [0 0 15 10]);
set(gca, 'LooseInset', [0.01 0.01 0.01 0.01]);
%% disp('TLX as a function of experimental condition')
ds = xlsread('NASA-TLX2.xlsx','A2:J100');
LTDSort = ds([1;4;8;12;14;18;19;22;26;30;32;36;37;40;44;48;50;54;55;58;62;66;68;72;73;76;80;84;86;90;91;94;98],3:8);
MTDSort = ds([3;5;7;10;15;17;20;24;25;28;33;35;38;42;43;46;51;53;56;60;61;64;69;71;74;78;79;82;87;89;93;95;97],3:8);
HTDSort = ds([2;6;9;11;13;16;21;23;27;29;31;34;39;41;45;47;49;52;57;59;63;65;67;70;75;77;81;83;85;88;92;96;99],3:8);
LTDSort(:,7)=mean(LTDSort,2);
MTDSort(:,7)=mean(MTDSort,2);
HTDSort(:,7)=mean(HTDSort,2);

TLX2C(:,1,:)=LTDSort(1:33,:);TLX2C(:,2,:)=MTDSort(1:33,:);TLX2C(:,3,:)=HTDSort(1:33,:);TLX2C=5*(TLX2C-1);
figure;hold on
bar(squeeze(nanmean(TLX2C,1))')
colormap([0 0 0;.5 .5 .5;.9 .9 .9]); 
for i=0.5:13.5
    plot([i i],[-10 1000],'k:')
end
set(gca,'xtick',1:13)
set(gca,'tickdir','out')
set(gca,'Xticklabel',{'Mental' 'Physical' 'Temporal' 'Performance', 'Effort' 'Frustration' 'Overall'})
ylabel('Score (%)','fontsize',24,'FontName','Arial')
set(gca,'xlim',[-1  7.5])
set(gca,'ylim',[0 100])
legend('Low Task Demands (LTD)','Medium Task Demands (MTD)','High Task Demands (HTD)','location','southeast')

[~,p13,~,stats13]=ttest(squeeze(TLX2C(:,1,:)),squeeze(TLX2C(:,2,:))); % TLX per condition
[~,p14,~,stats14]=ttest(squeeze(TLX2C(:,1,:)),squeeze(TLX2C(:,3,:)));
[~,p15,~,stats15]=ttest(squeeze(TLX2C(:,2,:)),squeeze(TLX2C(:,3,:)));
pTLXBONF2=[p13' p14' p15']<0.05/3;
pTLX2=NaN(6,1);

%text(0.4,97.5, '\itF\rm =' ,'Fontsize',15,'horizontalalignment','right')
%text(0.4,93, '\itp\rm =' ,'Fontsize',15,'horizontalalignment','right')
text(0.4,87, 'LTD vs. MTD: \itd_z\rm =','Fontsize',15,'horizontalalignment','right')
text(0.4,82, 'LTD vs. HTD: \itd_z\rm =','Fontsize',15,'horizontalalignment','right')
text(0.4,77, 'MTD vs. HTD: \itd_z\rm =','Fontsize',15,'horizontalalignment','right')
plot([-10 100],[90 90],'k')
plot([-10 100],[74.5 74.5],'k')
FTLX_2=NaN(6,1);
for i=1:7
    [p,table]=anova2(squeeze(TLX2C(:,:,i)),1,'off');
    pTLX2(i)=p(1);FTLX_2(i)=cell2mat(table(2,5));temp= sprintf('%0.3f',pTLX2(i));temp=temp(2:end);
 %   if pTLX2(i)<.001
 %       text(i,93, '\bf < .001','Fontsize',15,'fontweight','bold','horizontalalignment','center')
 %   elseif pTLX2(i)<.05
 %       text(i,93, temp,'Fontsize',15,'fontweight','bold','horizontalalignment','center')
 %   else
 %       text(i,93, temp,'Fontsize',15,'horizontalalignment','center')
 %   end
  %  text(i,97.5, sprintf('%0.2f',FTLX_2(i)),'Fontsize',15,'horizontalalignment','center')
    if pTLXBONF2(i,1)==0
        text(i+0.17,87, sprintf('%0.2f',stats13.tstat(i)/sqrt(stats13.df(i)+1)),'Fontsize',15,'horizontalalignment','right')
    else
        text(i+0.17,87, sprintf('%0.2f',stats13.tstat(i)/sqrt(stats13.df(i)+1)),'Fontsize',15,'horizontalalignment','right','fontweight','bold')
    end
    if pTLXBONF2(i,2)==0
        text(i+0.17,82, sprintf('%0.2f',stats14.tstat(i)/sqrt(stats14.df(i)+1)),'Fontsize',15,'horizontalalignment','right')
    else
        text(i+0.17,82, sprintf('%0.2f',stats14.tstat(i)/sqrt(stats14.df(i)+1)),'Fontsize',15,'horizontalalignment','right','fontweight','bold')
    end
    if pTLXBONF2(i,3)==0
        text(i+0.17,77, sprintf('%0.2f',stats15.tstat(i)/sqrt(stats15.df(i)+1)),'Fontsize',15,'horizontalalignment','right')
    else
        text(i+0.17,77, sprintf('%0.2f',stats15.tstat(i)/sqrt(stats15.df(i)+1)),'Fontsize',15,'horizontalalignment','right','fontweight','bold')
    end
end
box on
fig=gcf;set(findall(fig,'-property','FontName'),'FontName','Arial','Fontsize',20)
set(gcf, 'PaperPositionMode', 'manual','paperunits','inches');
set(gcf, 'PaperPosition', [0 0 15 10]);
set(gca, 'LooseInset', [0.01 0.01 0.01 0.01]);

%%
c=corr([squeeze(nanmean(TLX2C,2)) [DSSQ1_2+DSSQ2_2+DSSQ3_2]/3])
